<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('include/file.php');
require_once('conf.inc.php');

page_loading_view("메일을 삭제하고 있습니다.");

// check
	// 편지읽기에서 삭제시
	if (!$_POST && $_GET)
		$_POST = $_GET;		

	if (!$_POST['mb_id'] || (!$_POST['mf_no'] && !$_POST['cmf']))
		msg('올바른 URL로 접근하여 주십시오');


// data
	// set data
		$mail_file_table = $AUTH[auth_m_mf_table];

	$mf_no = array();
	if (getarraycount($_POST['cmf']) > 0)
	{
		$mf_no = $_POST['cmf'];
	} else
	{
		$mf_no[] = $_POST['mf_no'];
	}	// if()

	// set file
	$UPLOAD_ROOT = get_mail_dir();
	$upload_dir = get_mb_dir($_POST['mb_id']);
	$errorMsg = '';

	if ($_POST['mb_id'] != 'trash')
	{
		for ($i=0; $i<sizeof($mf_no); $i++)
		{
			// file move
				$mb_dir_src = get_mb_dir($_POST['mb_id']);
				$mb_dir_dest = get_mb_dir('trash');
				if ($mb_dir_src != $mb_dir_dest)
				{
					$row = db_get_row("SELECT mf_filename, mfext1 FROM " . $mail_file_table . " WHERE mf_no='" . $mf_no[$i] . "' AND m_no='" . $AUTH['auth_m_no'] . "' AND mb_id='". $_POST['mb_id']. "'");
					// [2006-01-05][custmize] 보낸편지함/수신확인 보관기능.
					if ($row['mfext1'] != 'Y')
					{
						if (!$row['mf_filename'])
							msg("존재하지 않는 메일입니다.\\n\\n이미 삭제되었거나 다른 편지함으로 옮겨졌을 수 있습니다.");
						$errorMsg .= file_move($row['mf_filename'], '', $mb_dir_src, $row['mf_filename'], '', $mb_dir_dest, false);
					}	// if()
				}	// if()

			// db update
				// [2006-01-05][custmize] 보낸편지함/수신확인 보관기능.
				$q_where = " AND ( mfext1 != 'Y' OR mfext1 IS NULL ) ";

				$sql = "
					UPDATE
						$mail_file_table
					SET
						mb_id='trash'
					WHERE
						mf_no='" . $mf_no[$i] . "'
						AND m_no='" . $AUTH['auth_m_no'] . "'
						AND mb_id='". $_POST['mb_id']. "'
						$q_where
					";
				db_query($sql);
		}	// for()

		// [2013-07-05] 메일 삭제 로그
		errorlog("[MAIL_TRASH_MOVE]".get_mb_name($_POST['mb_id']).", ".sizeof($mf_no)."EA", "MAILDEL");

		#$msg = "선택하신 메일들이 삭제되었습니다.\\n\\n[".get_mb_name('trash')."]에서 복원가능합니다.";
	} else
	{
		for ($i=0; $i<sizeof($mf_no); $i++)
		{
			// file del
				$row = db_get_row("SELECT mf_filename, mfext1 FROM " . $mail_file_table . " WHERE mf_no='" . $mf_no[$i] . "' AND m_no='" . $AUTH['auth_m_no'] . "' AND mb_id='". $_POST['mb_id']. "'");
				// [2006-01-05][custmize] 보낸편지함/수신확인 보관기능.
				if ($row['mfext1'] != 'Y')
				{
					if (!$row['mf_filename'])
						msg("존재하지 않는 메일입니다.\\n\\n이미 삭제되었거나 다른 편지함으로 옮겨졌을 수 있습니다.");
					$errorMsg .= file_del($row['mf_filename'], '', $upload_dir, false);
				}	// if()

			// db del
				// [2006-01-05][custmize] 보낸편지함/수신확인 보관기능.
				$q_where = " AND ( mfext1 != 'Y' OR mfext1 IS NULL ) ";

				$sql = "
					DELETE
					FROM
						$mail_file_table
					WHERE
						mf_no='" . $mf_no[$i] . "'
						AND m_no='" . $AUTH['auth_m_no'] . "'
						AND mb_id='". $_POST['mb_id']. "'
						$q_where
					";
				db_query($sql);
				
		}	// for()

		$msg = "선택하신 메일들이 영구히 삭제되었습니다.";

		// [2013-07-05] 메일 삭제 로그
		errorlog("[MAIL_DEL]".get_mb_name($_POST['mb_id']).", ".sizeof($mf_no)."EA", "MAILDEL");
	}	// if()


// end
	if ($errorMsg)
	{
		#page_loading_view_hidden();
		#error($errorMsg, 'FILE', false);
		errorlog($errorMsg, 'FILE');
		$_time = 0;
	} else 
	{
		$_time = 0;
	}	// if()
	if ($msg)
		msg($msg, 0);
	movepage('mail_list.php?mb_id=' . $_POST['mb_id'] . '&' . get_qs('mb_id', 'mf_no', 'sel_mail_box', 'sel_mail_box_2'), $_time);

require_once('include/global_end.php');
?>